org.jboss.netty.handler.codec.embedder

## Class CodecEmbedderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.handler.codec.embedder.CodecEmbedderException

All Implemented Interfaces:
  Serializable

    public class CodecEmbedderException
    extends RuntimeException

A `RuntimeException` which is thrown when a `CodecEmbedder` failed to encode or decode the specified input.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CodecEmbedderException()` Creates a new instance.
`CodecEmbedderException(String message)` Creates a new instance.
`CodecEmbedderException(String message, Throwable cause)` Creates a new instance.
`CodecEmbedderException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CodecEmbedderException

    public CodecEmbedderException()

Creates a new instance.

#### CodecEmbedderException

    public CodecEmbedderException(String message,
                          Throwable cause)

Creates a new instance.

#### CodecEmbedderException

    public CodecEmbedderException(String message)

Creates a new instance.

#### CodecEmbedderException

    public CodecEmbedderException(Throwable cause)

Creates a new instance.